package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfileScopeBinding.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileScopeBindingServiceSearchResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/xaa/access_profile_scope_bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessProfileIds": [
"<string>"
],
"appId": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"refs": [
{
"accessProfileId": "<string>",
"appId": "<string>",
"xaaScopeId": "<string>"
}
],
"xaaScopeIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/xaa/access_profile_scope_bindings"
payload = {
"accessProfileIds": ["<string>"],
"appId": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"refs": [
{
"accessProfileId": "<string>",
"appId": "<string>",
"xaaScopeId": "<string>"
}
],
"xaaScopeIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessProfileIds: ['<string>'],
appId: '<string>',
pageSize: 123,
pageToken: '<string>',
refs: [{accessProfileId: '<string>', appId: '<string>', xaaScopeId: '<string>'}],
xaaScopeIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/xaa/access_profile_scope_bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"accessProfileId": "<string>",
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>",
"xaaScopeId": "<string>"
}
],
"nextPageToken": "<string>"
}Search
Search scope bindings, filtered by access profile or by scope, or fetch a specific set by ref. The by-scope direction answers “which profiles contain this scope” for impact analysis.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfileScopeBinding.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileScopeBindingServiceSearchResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
XAAAccessProfileScopeBindingServiceSearchRequest searches scope bindings.
Optional filter by access profiles. Empty matches any access profile.
The application that owns the resource server (required).
Page size (max 100).
Page token for pagination.
Optional: fetch a specific set of bindings by ref (used by websocket notify to re-fetch individual rows).
Show child attributes
Show child attributes
Optional filter by scopes (impact analysis: which profiles contain a scope). Empty matches any scope.
Response
XAAAccessProfileScopeBindingServiceSearchResponse returns matching bindings.
Was this page helpful?